with import <nixpkgs> {};

let 

in 
stdenv.mkDerivation {
  name = "infra-env";
  buildInputs = [
    (with import <nixpkgs/nixos> { configuration = {}; }; with config.system.build; [ nixos-generate-config nixos-install nixos-enter manual.manpages ])
    (pkgs.callPackage ./nix/pkgs/just.nix {})
    git-crypt
    vcsh
    gnupg
  ];

  # Set Environment Variables
  RUST_BACKTRACE = 1;
}
